#ifndef coder_judge_h__
#define coder_judge_h__

#include "stdint.h"



uint8_t coder_judge(const uint8_t *data);

uint8_t coder_judge_jq(const uint8_t *data);

int coder_extract_chip(int id);




#endif

